Issue19

Title The compiled functions cannot be used with "copy.copy"
Priority bug Status resolved
Superseder Nosy List kayhayen
Assigned To kayhayen Keywords wrong_execution

Created on 2012-01-12.21:49:06 by kayhayen, last changed by kayhayen.

Files
File name Uploaded Type Edit Remove
multiprocessingtest.py kayhayen, 2012-06-06.22:25:22 text/x-python
Messages
msg96 (view) Author: kayhayen Date: 2012-06-16.09:59:25
Implemented __reduce__ in a way compatible with normal functions, works fine now.

Released as part of 0.3.22.1 hotfix release
msg92 (view) Author: kayhayen Date: 2012-06-06.22:25:22
Test case by AdriƠ Cereto MassaguƩ that shows this issue also affects 
multiprocessing module.
msg49 (view) Author: kayhayen Date: 2012-01-12.21:49:06
The "test_copy" case from CPython2.6 exhibits the following traceback:

  File "/usr/lib/python2.6/copy_reg.py", line 93, in __newobj__
    return cls.__new__(cls, *args)
TypeError: object.__new__(compiled_function) is not safe, use 
compiled_function.__new__()

Need to investigate, why it considers the "__new__" to be unsafe. Might not be 
necessary.
History
Date User Action Args
2012-06-16 09:59:25kayhayensetstatus: deferred -> resolved
messages: + msg96
2012-06-06 22:25:22kayhayensetfiles: + multiprocessingtest.py
messages: + msg92
2012-01-12 21:49:06kayhayencreate